NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::AME::DefineAspectBuilder Class Reference

Define Aspects for Engineering Object Definition
To create a new instance of this class, use NXOpen::AME::AMEManager::DefineAspectBuilder

Created in NX11.0.0. More...

Inheritance diagram for NXOpen::AME::DefineAspectBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool Function ()
 Returns the value for Function Aspect
Created in NX11.0.0. More...
 
bool FunctionDesignation ()
 Returns the value for Function Aspect
Created in NX11.0.0. More...
 
bool Location ()
 Returns the value for Function Aspect
Created in NX11.0.0. More...
 
bool LocationDesignation ()
 Returns the value for Function Aspect
Created in NX11.0.0. More...
 
bool Product ()
 Returns the value for Function Aspect
Created in NX11.0.0. More...
 
bool ProductDesignation ()
 Returns the value for Function Aspect
Created in NX11.0.0. More...
 
void SetFunction (bool val)
 Sets the value for Function Aspect
Created in NX11.0.0. More...
 
void SetFunctionDesignation (bool val)
 Sets the value for Function Aspect
Created in NX11.0.0. More...
 
void SetLocation (bool val)
 Sets the value for Function Aspect
Created in NX11.0.0. More...
 
void SetLocationDesignation (bool val)
 Sets the value for Function Aspect
Created in NX11.0.0. More...
 
void SetProduct (bool val)
 Sets the value for Function Aspect
Created in NX11.0.0. More...
 
void SetProductDesignation (bool val)
 Sets the value for Function Aspect
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Define Aspects for Engineering Object Definition
To create a new instance of this class, use NXOpen::AME::AMEManager::DefineAspectBuilder

Created in NX11.0.0.


Member Function Documentation

bool NXOpen::AME::DefineAspectBuilder::Function ( )

Returns the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::DefineAspectBuilder::FunctionDesignation ( )

Returns the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::DefineAspectBuilder::Location ( )

Returns the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::DefineAspectBuilder::LocationDesignation ( )

Returns the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::DefineAspectBuilder::Product ( )

Returns the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::DefineAspectBuilder::ProductDesignation ( )

Returns the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

void NXOpen::AME::DefineAspectBuilder::SetFunction ( bool  val)

Sets the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
valval
void NXOpen::AME::DefineAspectBuilder::SetFunctionDesignation ( bool  val)

Sets the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
valval
void NXOpen::AME::DefineAspectBuilder::SetLocation ( bool  val)

Sets the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
valval
void NXOpen::AME::DefineAspectBuilder::SetLocationDesignation ( bool  val)

Sets the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
valval
void NXOpen::AME::DefineAspectBuilder::SetProduct ( bool  val)

Sets the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
valval
void NXOpen::AME::DefineAspectBuilder::SetProductDesignation ( bool  val)

Sets the value for Function Aspect
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
valval

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.